<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::get('/capabilities', [App\Http\Controllers\InfoController::class, 'capabilities']);
Route::post('/register/checkusertaken', [App\Http\Controllers\Auth\RegisteredUserController::class, 'checkUserTaken']);
Route::get('/register/checkusertaken', [App\Http\Controllers\Auth\RegisteredUserController::class, 'checkUserTaken']);

Route::middleware(['auth:sanctum'])->get('/user', function (Request $request) {
    return $request->user();
});

Route::middleware(\App\Http\Middleware\EnsureTokenIsValid::class)
    ->get('/info', [\App\Http\Controllers\InfoController::class, 'info']);

require __DIR__.'/auth.php';
