<?php

namespace App\Http\Controllers;

use Illuminate\Http\Client\Request;
use Illuminate\Http\JsonResponse;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Js;

class InfoController extends Controller
{
    public function info(): JsonResponse
    {
        return new JsonResponse(['User' => Auth::user()]);
    }

    public function capabilities(): JsonResponse
    {
        return new JsonResponse(['login' => true, 'register' => true, 'reset' => true]);
    }
}
